# ZoomAccel

A tool for studying zoom acceleration curves in pointing tasks. Built with React + TypeScript + Vite.

## Overview

ZoomAccel presents users with a series of target acquisition tasks in a zoomable space. Users can enable/disable zoom acceleration and customize the acceleration curve to study its effects on pointing performance.

### Features

- Target acquisition tasks in a large virtual space
- Configurable zoom acceleration curves
- Real-time performance stats
- Trial history with detailed metrics
- CSV export for data analysis
- State persistence between sessions

## Getting Started

```bash
# Install dependencies
pnpm install

# Start development server
pnpm dev

# Build for production
pnpm build
```

## Usage

1. Click the green target circles to complete trials
2. Use Ctrl/Cmd + Scroll to zoom in/out
3. Click and drag to pan the view
4. Adjust acceleration curve in Settings ⚙️
5. View performance history in History 📊
6. Export data as CSV for analysis 📥

## Data Collection

Each trial records:
- Time taken (ms)
- Number of misclicks
- Acceleration status
- Current acceleration curve values
- Timestamp

## Development

Built with:
- React
- TypeScript
- Vite

## Presets for the study:

A: [1, 1, 1, 1, 1],
B: [1, 2, 3, 4, 5],
C: [1, 1.5, 2.5, 4, 6],
D: [1, 3, 4, 3, 1], 