import React from 'react';
import { Round } from '../types';
import './RoundsHistory.css';

interface RoundsHistoryProps {
	rounds: Round[];
	visible: boolean;
	onClose: () => void;
}

export const RoundsHistory: React.FC<RoundsHistoryProps> = ({
	rounds,
	visible,
	onClose,
}) => {
	if (!visible) return null;

	return (
		<div className="rounds-panel">
			<div className="rounds-header">
				<h2>Rounds History</h2>
				<button onClick={onClose}>×</button>
			</div>
			<div className="rounds-list">
				{rounds.slice().reverse().map((round, index) => (
					<div key={round.timestamp} className="round-item">
						<div className="round-number">Round {rounds.length - index}</div>
						<div className="round-stats">
							<div>Time: {round.timeSpent}ms</div>
							<div>Misclicks: {round.misclicks}</div>
							<div>Acceleration: {round.accelerationEnabled ? 'On' : 'Off'}</div>
						</div>
					</div>
				))}
			</div>
		</div>
	);
};
